<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <import type="android.view.View" />

        <variable
            name="vm"
            type="com.example.iot_controlhost.ui.activity.MainActivityPresenter" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="1280dp"
        android:layout_height="800dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/main_lock"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:elevation="100dp"
            android:visibility="gone"
            android:onClick="@{vm::notice}">

            <ImageView
                android:layout_width="400dp"
                android:layout_height="400dp"
                android:scaleType="centerCrop"
                android:src="@mipmap/lock"
                android:alpha="0.7"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/main_enable"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#747C7A7A"
            android:elevation="20dp"
            android:clickable="false"
            android:focusable="false"
            android:visibility="@{vm.roomEnable? View.GONE:View.VISIBLE}">

            <androidx.cardview.widget.CardView
                android:layout_width="600dp"
                android:layout_height="400dp"
                app:cardCornerRadius="50dp"
                app:cardElevation="50dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:text="此设备已被远程设置为不可用\n\n详情请联系管理员"
                    android:textColor="@color/red"
                    android:textSize="40sp" />

            </androidx.cardview.widget.CardView>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.cardview.widget.CardView
            android:id="@+id/top"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardCornerRadius="10dp"
            app:cardElevation="10dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0">

            <include
                android:id="@+id/include"
                layout="@layout/bar_top" />
        </androidx.cardview.widget.CardView>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/ll"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:orientation="horizontal"
            app:layout_constraintBottom_toTopOf="@+id/constraintLayout2"
            app:layout_constraintTop_toBottomOf="@+id/top">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/constraintLayout4"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                app:layout_constraintStart_toStartOf="parent">

                <androidx.cardview.widget.CardView
                    android:id="@+id/temp_card"
                    android:layout_width="360dp"
                    android:layout_height="120dp"
                    android:layout_marginStart="30dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginEnd="10dp"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="10dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/cl_test"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@mipmap/bg_temperature">

                        <TextView
                            android:id="@+id/tv_main_temperature"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="144dp"
                            android:layout_marginTop="5dp"
                            android:fontFamily="monospace"
                            android:minWidth="72dp"
                            android:text="@{vm.temperatureStr}"
                            android:textColor="#ffffffff"
                            android:textSize="60sp"
                            android:textStyle="bold"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/textView9"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/T_symbol"
                            android:textColor="#ffffffff"
                            app:layout_constraintBottom_toBottomOf="@+id/tv_main_temperature"
                            app:layout_constraintStart_toEndOf="@+id/tv_main_temperature" />

                        <TextView
                            android:id="@+id/textView10"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="室外温度："
                            android:textColor="#B3FFFFFF"
                            android:textSize="20sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="@+id/tv_main_temperature"
                            app:layout_constraintTop_toBottomOf="@+id/tv_main_temperature" />

                        <TextView
                            android:id="@+id/tv_t_out"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{vm.temperatureStrOut}"
                            android:textColor="#B3FFFFFF"
                            android:textSize="20sp"
                            app:layout_constraintBottom_toBottomOf="@+id/textView10"
                            app:layout_constraintStart_toEndOf="@+id/textView10"
                            app:layout_constraintTop_toTopOf="@+id/textView10" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/T_symbol"
                            android:textColor="#B3FFFFFF"
                            android:textSize="20sp"
                            app:layout_constraintBottom_toBottomOf="@+id/textView10"
                            app:layout_constraintStart_toEndOf="@+id/tv_t_out"
                            app:layout_constraintTop_toTopOf="@+id/textView10" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/humidity_card"
                    android:layout_width="360dp"
                    android:layout_height="120dp"
                    android:layout_marginStart="30dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginEnd="10dp"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="10dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/temp_card">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@mipmap/bg_humidity"
                        android:paddingVertical="2dp">

                        <TextView
                            android:id="@+id/tv_main_humidity"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="144dp"
                            android:layout_marginTop="5dp"
                            android:fontFamily="monospace"
                            android:minWidth="72dp"
                            android:text="@{vm.humidityStr}"
                            android:textColor="#ffffffff"
                            android:textSize="60sp"
                            android:textStyle="bold"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/textView14"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="cursive"
                            android:text="@string/H_symbol"
                            android:textColor="#ffffffff"
                            app:layout_constraintBottom_toBottomOf="@+id/tv_main_humidity"
                            app:layout_constraintStart_toEndOf="@+id/tv_main_humidity" />

                        <TextView
                            android:id="@+id/textView13"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="室外湿度："
                            android:textColor="#B3FFFFFF"
                            android:textSize="20sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="@+id/tv_main_humidity"
                            app:layout_constraintTop_toBottomOf="@+id/tv_main_humidity" />

                        <TextView
                            android:id="@+id/tv_h_out"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{vm.humidityStrOut}"
                            android:textColor="#B3FFFFFF"
                            android:textSize="20sp"
                            app:layout_constraintBottom_toBottomOf="@+id/textView13"
                            app:layout_constraintStart_toEndOf="@+id/textView13"
                            app:layout_constraintTop_toTopOf="@+id/textView13" />

                        <TextView
                            android:id="@+id/textView12"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/H_symbol"
                            android:textColor="#B3FFFFFF"
                            android:textSize="20sp"
                            app:layout_constraintBottom_toBottomOf="@+id/tv_h_out"
                            app:layout_constraintStart_toEndOf="@+id/tv_h_out"
                            app:layout_constraintTop_toTopOf="@+id/tv_h_out" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="360dp"
                    android:layout_height="250dp"
                    android:layout_marginStart="30dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginEnd="10dp"
                    android:layout_marginBottom="20dp"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="10dp"
                    app:layout_constraintBottom_toTopOf="@+id/cardView4"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/humidity_card">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginVertical="10dp"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <View
                                android:layout_width="6dp"
                                android:layout_height="30dp"
                                android:background="#00A1FF" />

                            <TextView
                                android:id="@+id/tv_room_name"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:text="@{vm.roomName}"
                                android:textSize="28sp" />

                        </LinearLayout>

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:background="#ECF0F0" />

                        <LinearLayout
                            android:id="@+id/btn_test_1"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="5dp"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <TextView
                                android:id="@+id/tv_cul_kinds"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:text="品种:"
                                android:textSize="20sp" />

                            <TextView
                                android:id="@+id/tv_variety"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:background="@drawable/bg_main_user_info"
                                android:paddingHorizontal="8dp"
                                android:paddingVertical="5dp"
                                android:text="正在加载中"
                                android:textColor="#00AAE9"
                                android:textSize="20sp" />

                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/btn_test_2"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="5dp"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <TextView
                                android:id="@+id/tv_cul_number"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:text="数量:"
                                android:textSize="20sp" />

                            <TextView
                                android:id="@+id/tv_quentity"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:background="@drawable/bg_main_user_info"
                                android:paddingHorizontal="8dp"
                                android:paddingVertical="5dp"
                                android:text="正在加载中"
                                android:textColor="#00AAE9"
                                android:textSize="20sp" />

                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/btn_test_3"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="5dp"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <TextView
                                android:id="@+id/tv_cul_batch"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:text="批次:"
                                android:textSize="20sp" />

                            <TextView
                                android:id="@+id/tv_season"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:background="@drawable/bg_main_user_info"
                                android:paddingHorizontal="8dp"
                                android:paddingVertical="5dp"
                                android:text="正在加载中"
                                android:textColor="#00AAE9"
                                android:textSize="20sp" />

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="5dp"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <TextView
                                android:id="@+id/tv_cul_process"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:text="进度:"
                                android:textSize="20sp" />

                            <TextView
                                android:id="@+id/tv_age"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:background="@drawable/bg_main_user_info"
                                android:paddingHorizontal="8dp"
                                android:paddingVertical="5dp"
                                android:text="正在加载中"
                                android:textColor="#00AAE9"
                                android:textSize="20sp" />

                        </LinearLayout>

                        <com.google.android.material.progressindicator.LinearProgressIndicator
                            android:id="@+id/lp_process"
                            android:layout_width="320dp"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="20dp"
                            android:layout_marginVertical="10dp" />

                    </LinearLayout>
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/cardView4"
                    android:layout_width="360dp"
                    android:layout_height="60dp"
                    android:layout_marginStart="30dp"
                    android:layout_marginEnd="10dp"
                    android:layout_marginBottom="20dp"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="10dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal">

                        <LinearLayout
                            android:id="@+id/btn_set"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:onClick="@{(v)->vm.notice(v)}"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@mipmap/setting" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="10dp"
                                android:text="@string/set"
                                android:textSize="24sp" />

                        </LinearLayout>

                        <View
                            android:layout_width="2dp"
                            android:layout_height="40dp"
                            android:layout_gravity="center_vertical"
                            android:background="#ECF0F0" />

                        <LinearLayout
                            android:id="@+id/btn_sign"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:onClick="@{(v)->vm.notice(v)}"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@mipmap/registration" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="10dp"
                                android:text="@string/sign"
                                android:textSize="24sp" />

                        </LinearLayout>

                        <View
                            android:layout_width="2dp"
                            android:layout_height="40dp"
                            android:layout_gravity="center_vertical"
                            android:background="#ECF0F0" />

                        <LinearLayout
                            android:id="@+id/btn_sign_new"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:visibility="gone"
                            android:onClick="@{(v)->vm.notice(v)}"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@mipmap/registration" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="10dp"
                                android:text="报告"
                                android:textSize="24sp" />

                        </LinearLayout>

                        <View
                            android:layout_width="2dp"
                            android:layout_height="40dp"
                            android:layout_gravity="center_vertical"
                            android:background="#ECF0F0" />

                        <LinearLayout
                            android:id="@+id/btn_info"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:onClick="@{(v)->vm.notice(v)}"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@mipmap/information" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="10dp"
                                android:text="@string/information"
                                android:textSize="24sp" />

                        </LinearLayout>

                    </LinearLayout>

                </androidx.cardview.widget.CardView>
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/constraintLayout3"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/constraintLayout4">

                <androidx.cardview.widget.CardView
                    android:id="@+id/cardView7"
                    android:layout_width="660dp"
                    android:layout_height="90dp"
                    android:layout_marginStart="10dp"
                    android:layout_marginTop="20dp"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="10dp"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal">

                        <LinearLayout
                            android:id="@+id/btn_manual"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_marginBottom="5dp"
                            android:layout_weight="1"
                            android:background="#00A1FF"
                            android:gravity="center"
                            android:onClick="@{(v)->vm.notice(v)}"
                            android:orientation="horizontal">

                            <ImageView
                                android:id="@+id/iv_manual"
                                android:layout_width="36dp"
                                android:layout_height="36dp"
                                android:src="@mipmap/setting" />

                            <TextView
                                android:id="@+id/tv_manual"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="10dp"
                                android:text="@string/model_hand"
                                android:textColor="#ff414141"
                                android:textStyle="bold" />

                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/btn_auto"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_marginBottom="5dp"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:onClick="@{(v)->vm.notice(v)}"
                            android:orientation="horizontal">

                            <ImageView
                                android:id="@+id/iv_auto"
                                android:layout_width="36dp"
                                android:layout_height="36dp"
                                android:src="@mipmap/registration" />

                            <TextView
                                android:id="@+id/tv_auto"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="10dp"
                                android:text="@string/model_auto"
                                android:textColor="#ff414141"
                                android:textStyle="bold" />

                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/btn_intelligence"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_marginBottom="5dp"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:onClick="@{(v)->vm.notice(v)}"
                            android:orientation="horizontal">

                            <ImageView
                                android:id="@+id/iv_intelligence"
                                android:layout_width="36dp"
                                android:layout_height="36dp"
                                android:src="@mipmap/information" />

                            <TextView
                                android:id="@+id/tv_intelligence"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="10dp"
                                android:text="@string/model_intelligence"
                                android:textColor="#ff414141"
                                android:textStyle="bold" />

                        </LinearLayout>
                    </LinearLayout>
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_key"
                    android:layout_width="90dp"
                    android:layout_height="60dp"
                    app:cardCornerRadius="35dp"
                    app:cardElevation="10dp"
                    app:layout_constraintBottom_toBottomOf="@+id/cardView7"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@+id/cardView7"
                    app:layout_constraintTop_toTopOf="@+id/cardView7"
                    app:layout_constraintVertical_bias="0.3">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:gravity="center">

                        <ImageView
                            android:id="@+id/main_key"
                            android:layout_width="35dp"
                            android:layout_height="35dp"
                            android:src="@mipmap/unlock" />

                    </LinearLayout>

                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="10dp"
                    android:layout_marginTop="100dp"
                    android:layout_marginEnd="30dp"
                    android:layout_marginBottom="20dp"
                    android:elevation="20dp"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="10dp">

                    <androidx.viewpager2.widget.ViewPager2
                        android:id="@+id/vp2_model"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" />

                </androidx.cardview.widget.CardView>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.cardview.widget.CardView
            android:id="@+id/constraintLayout2"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            app:cardCornerRadius="10dp"
            app:cardElevation="10dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="1">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <TextView
                    android:id="@+id/textView8"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="30dp"
                    android:text="打造智慧共育室，服务蚕农朋友！"
                    android:textColor="#993A3A3A"
                    android:textSize="18sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@+id/textView7"
                    app:layout_constraintStart_toEndOf="@+id/textView8"
                    app:layout_constraintTop_toTopOf="parent">

                    <ImageView
                        android:id="@+id/icon_msg"
                        android:layout_width="35dp"
                        android:layout_height="35dp"
                        android:layout_marginEnd="15dp"
                        android:visibility="@{vm.isNoticeVisible? View.VISIBLE : View.GONE}"
                        android:src="@drawable/message" />

                    <TextView
                        android:id="@+id/textView0"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="178dp"
                        android:text="@{vm.noticeMessage}"
                        android:textSize="20sp" />

                </LinearLayout>

                <TextView
                    android:id="@+id/textView7"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="30dp"
                    android:text="四川主干信息技术有限公司"
                    android:textColor="#ff3a3a3a"
                    android:textSize="18sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>